"use strict";
const pipwerks = globalThis.pipwerks;
{
  self.C3.Plugins.scormc2.Exps = {
    getLastError() {
      if (this.previewMode) {
        return "";
      }
      if (this.isScormInitialised) {
        return pipwerks.SCORM.debug.getInfo(pipwerks.SCORM.debug.getCode());
      } else {
        return "Scorm wasn't able to initialise. Probably because the Scorm API was not found.";
      }
    },

    getLastErrorID() {
      if (this.previewMode) {
        return "";
      }
      return pipwerks.SCORM.debug.getCode();
    },

    getLMSValue(name) {
      if (this.previewMode) {
        console.log(`[scorm preview] pipwerks.SCORM.get(${name})`);
        return "";
      }
      return pipwerks.SCORM.get(name);
    }
  };
}
