"use strict";
{
  const C3 = self.C3;

  C3.Plugins.scormc2.Instance = class C3ScormPluginInstance extends C3.SDKInstanceBase {
    constructor(inst, properties) {
      super(inst);

      // Initialise object properties
      this.isScormInitialised = false;
      this.isOnError = false;
      this.previewMode = inst.GetRuntime().IsPreview();
      if (this.previewMode) {
        console.log(
          "[scorm preview] C3 running in preview, scorm preview mode enabled."
        );
      }
    }

    Release() {
      super.Release();
    }

    SaveToJson() {
      return {
        // data to be saved for savegames
      };
    }

    LoadFromJson(o) {
      // load state for savegames
    }

    GetDebuggerProperties() {
      return [
        {
          title: "C3ScormPlugin",
          properties: [
            //{name: ".current-animation",	value: this._currentAnimation.GetName(),	onedit: v => this.CallAction(Acts.SetAnim, v, 0) },
          ]
        }
      ];
    }

    // timeline support
    GetPropertyValueByIndex(index) {
      return 0;
    }

    SetPropertyValueByIndex(index, value) {
      //set property value here
    }
  };
}
